MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::TextIterator Class Reference

`#include <MyGUI_TextIterator.h>`

## Public Member Functions
| TextIterator (const UString &_text, VectorChangeInfo *_history=0)
bool | moveNext ()
bool | getTagColour (UString &_colour) const
void | clearTagColour ()
bool | setTagColour (const Colour &_colour)
bool | setTagColour (UString _colour)
bool | saveStartPoint ()
UString | getFromStart ()
bool | eraseFromStart ()
size_t | getPosition () const
const UString & | getText () const
void | insertText (const UString &_insert, bool _multiLine)
void | clearNewLine (UString &_text)
void | clearText ()
size_t | getSize () const
void | setText (const UString &_text, bool _multiLine)
void | cutMaxLength (size_t _max)
void | cutMaxLengthFromBeginning (size_t _max)

## Static Public Member Functions
static UString | getOnlyText (const UString &_text)
static UString | getTextNewLine ()
static UString | getTextCharInfo (Char _char)
static UString | convertTagColour (const Colour &_colour)
static UString | toTagsString (const UString &_text)

## Detailed Description

Definition at line 18 of file MyGUI_TextIterator.h.

## Constructor & Destructor Documentation

MyGUI::TextIterator::TextIterator | ( | const UString & | _text,
|  | VectorChangeInfo * | _history = `0`
| ) |  |

Definition at line 21 of file MyGUI_TextIterator.cpp.

## Member Function Documentation

void MyGUI::TextIterator::clearNewLine | ( | UString & | _text | ) |

Definition at line 272 of file MyGUI_TextIterator.cpp.

void MyGUI::TextIterator::clearTagColour | ( |  | ) |

Definition at line 530 of file MyGUI_TextIterator.cpp.

void MyGUI::TextIterator::clearText | ( |  | ) |

Definition at line 555 of file MyGUI_TextIterator.cpp.

UString MyGUI::TextIterator::convertTagColour | ( | const Colour & | _colour | ) |
| static

Definition at line 345 of file MyGUI_TextIterator.cpp.

void MyGUI::TextIterator::cutMaxLength | ( | size_t | _max | ) |

Definition at line 412 of file MyGUI_TextIterator.cpp.

void MyGUI::TextIterator::cutMaxLengthFromBeginning | ( | size_t | _max | ) |

Definition at line 466 of file MyGUI_TextIterator.cpp.

bool MyGUI::TextIterator::eraseFromStart | ( |  | ) |

Definition at line 299 of file MyGUI_TextIterator.cpp.

UString MyGUI::TextIterator::getFromStart | ( |  | ) |

Definition at line 292 of file MyGUI_TextIterator.cpp.

UString MyGUI::TextIterator::getOnlyText | ( | const UString & | _text | ) |
| static

Definition at line 206 of file MyGUI_TextIterator.cpp.

size_t MyGUI::TextIterator::getPosition | ( |  | ) | const

Definition at line 545 of file MyGUI_TextIterator.cpp.

size_t MyGUI::TextIterator::getSize | ( |  | ) | const

Definition at line 167 of file MyGUI_TextIterator.cpp.

bool MyGUI::TextIterator::getTagColour | ( | UString & | _colour | ) | const

Definition at line 110 of file MyGUI_TextIterator.cpp.

const UString & MyGUI::TextIterator::getText | ( |  | ) | const

Definition at line 550 of file MyGUI_TextIterator.cpp.

UString MyGUI::TextIterator::getTextCharInfo | ( | Char | _char | ) |
| static

Definition at line 337 of file MyGUI_TextIterator.cpp.

UString MyGUI::TextIterator::getTextNewLine | ( |  | ) |
| static

Definition at line 560 of file MyGUI_TextIterator.cpp.

void MyGUI::TextIterator::insertText | ( | const UString & | _insert,
|  | bool | _multiLine
| ) |  |

Definition at line 307 of file MyGUI_TextIterator.cpp.

bool MyGUI::TextIterator::moveNext | ( |  | ) |

Definition at line 33 of file MyGUI_TextIterator.cpp.

bool MyGUI::TextIterator::saveStartPoint | ( |  | ) |

Definition at line 285 of file MyGUI_TextIterator.cpp.

bool MyGUI::TextIterator::setTagColour | ( | const Colour & | _colour | ) |

Definition at line 126 of file MyGUI_TextIterator.cpp.

bool MyGUI::TextIterator::setTagColour | ( | UString | _colour | ) |

Definition at line 149 of file MyGUI_TextIterator.cpp.

void MyGUI::TextIterator::setText | ( | const UString & | _text,
|  | bool | _multiLine
| ) |  |

Definition at line 320 of file MyGUI_TextIterator.cpp.

UString MyGUI::TextIterator::toTagsString | ( | const UString & | _text | ) |
| static

Definition at line 358 of file MyGUI_TextIterator.cpp.

The documentation for this class was generated from the following files:

- MyGUI_TextIterator.h
- MyGUI_TextIterator.cpp